Bug 1030991 - CVE-2013-4568 CVE-2013-4572 CVE-2013-4567 mediawiki: security releases 1.21.3, 1.20.8, and 1.19.9 [epel-5]
CVE-2013-4568 CVE-2013-4572 CVE-2013-4567 mediawiki: security releases 1.21...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: mediawiki (Show other bugs)
el5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-4567/CVE-2013-4568/CVE-2013-4572
  Show dependency treegraph
 
Reported: 2013-11-15 07:59 EST by Ratul Gupta
Modified: 2014-02-16 06:21 EST (History)
3 users (show)

See Also:
Fixed In Version: mediawiki119-1.19.11-2.el5
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-16 06:21:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-11-15 07:59:27 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

epel-5 tracking bug for mediawiki: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Ratul Gupta 2013-11-15 07:59:39 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1030987,1030991
Comment 2 Patrick Uiterwijk 2014-01-14 06:45:10 EST
Has there been any progress on this yet?

Since this bug, there has been another round of security updates (mediawiki 1.19.10, 1.21.4 and 1.22.1 have been released), see bug 1052913.
Comment 4 Dan Mashal 2014-01-24 02:49:01 EST
Sorry for the late response. The new source is vastly different from the old one (last updated 4 years ago). Will try and get something done tomorrow.
Comment 5 Fedora Update System 2014-01-28 19:03:03 EST
mediawiki119-1.19.11-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mediawiki119-1.19.11-2.el5
Comment 6 Patrick Uiterwijk 2014-01-28 19:05:37 EST
This issue has been fixed in mediawiki119.

For the purpose of not doing any major upgrades to packages in EPEL, we have decided to branch mediawiki119 for el5 as well, to keep it up-to-date with security updates.
Comment 7 Fedora Update System 2014-01-29 16:24:36 EST
Package mediawiki119-1.19.11-2.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mediawiki119-1.19.11-2.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0400/mediawiki119-1.19.11-2.el5
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2014-02-16 06:21:13 EST
mediawiki119-1.19.11-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.